﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using System.Drawing;
using System.IO;
using System.Data;
using Syncfusion.Pdf.Tables;
using Syncfusion.Windows.Shared;
namespace Interactive_Features
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : ChromelessWindow
    {
        # region Events
        /// <summary>
        /// Creates PDF
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //Create a new PDF document.
            PdfDocument document = new PdfDocument();

            //Create a new page .
            PdfPage page = document.Pages.Add();

            //Create a new Pdf3DAnnotation.
            Pdf3DAnnotation annotation = new Pdf3DAnnotation(new RectangleF(10, 50, 300, 150), @"..\..\Data\threeLevelHierarchy.u3d");

            //Create a new Pdf3DRendermode
            Pdf3DRendermode rendermode = new Pdf3DRendermode();
            rendermode.Style = Pdf3DRenderStyle.Solid;
            rendermode.AuxilaryColor = new PdfColor(System.Drawing.Color.Green);
            rendermode.FaceColor = new PdfColor(System.Drawing.Color.Black);
            PdfColor color = new PdfColor(System.Drawing.Color.Silver);

            //Create a new Pdf3DBackground
            Pdf3DBackground background = new Pdf3DBackground();
            background.ApplyToEntireAnnotation = true;
            background.Color = color;

            //Creates a new Pdf3DLighting
            Pdf3DLighting lighting = new Pdf3DLighting();
            lighting.Style = Pdf3DLightingStyle.CAD;

            //Create a new Pdf3DView
            Pdf3DView view = new Pdf3DView();
            view.ExternalName = "View";
            view.Background = background;
            view.LightingScheme = lighting;
            view.RenderMode = rendermode;
            view.InternalName = Guid.NewGuid().ToString("N");
            view.ViewNodeName = "Near View";
            annotation.Views.Add(view);
            page.Annotations.Add(annotation);

            //Save the document to disk.
            document.Save("Sample.pdf");
            //close the document
            document.Close(true);
        }
        # endregion

      
    }
}
        